﻿
	
	<Page
      xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
      xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
      xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
      xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
      xmlns:local="clr-namespace:ADG_Assistance.Vue.DataDisplay"
      xmlns:DB="clr-namespace:ADG_Assistance.DB" x:Class="ADG_Assistance.Vue.DataDisplay.DisplayContact"
      mc:Ignorable="d" 
      d:DesignHeight="500" d:DesignWidth="1000"
      Title="Liste des Contacts" Loaded="Page_Loaded">

	<Grid>

		<Grid.ColumnDefinitions>
			<ColumnDefinition Width="15px"/>
			<ColumnDefinition Width="100*"/>
			<ColumnDefinition Width="15px"/>
		</Grid.ColumnDefinitions>

		<Grid.RowDefinitions>
			<RowDefinition Height="15px"/>
			<RowDefinition Height="100*"/>
			<RowDefinition Height="15px"/>
		</Grid.RowDefinitions>

		<Grid Grid.Column="1" Grid.Row="1">

			<Grid.ColumnDefinitions>
				<ColumnDefinition Width="100*"/>
				<ColumnDefinition Width="120px"/>
			</Grid.ColumnDefinitions>

			<Grid.RowDefinitions>
				<RowDefinition Height="91px"/>
				<RowDefinition Height="100*"/>
			</Grid.RowDefinitions>

			<DataGrid Style="{StaticResource DG_StyleDisplay}" x:Name="DG_Contact" Grid.Row="1" Margin="0,10,0,0" Sorting="DG_Contact_Sorting">
				<DataGrid.Background>
					<SolidColorBrush Color="Black" Opacity="0.5"/>
				</DataGrid.Background>
				<DataGrid.Columns>
					<DataGridTextColumn IsReadOnly="True" x:Name="nomClientColumn" Width="*" Header="Nom de l'entreprise cliente" Binding="{Binding Client.Nom}"/>
					<DataGridTextColumn IsReadOnly="True" x:Name="fullNameColumn" Width="*" Header="Contact dans la société" Binding="{Binding fullName}"/>
					<DataGridTextColumn IsReadOnly="True" x:Name="telContactColumn" Width="*" Header="Téléphone" Binding="{Binding Telephone}"/>
				</DataGrid.Columns>
				<DataGrid.Resources>
					<Style TargetType="DataGridRow">
						<EventSetter Handler="DG_Contact_DoubleClick" Event="MouseDoubleClick"/>
					</Style>
				</DataGrid.Resources>
                <DataGrid.CellStyle>
                    <Style TargetType="{x:Type DataGridCell}">

                        <Setter Property="BorderThickness" Value="5"/>
                        <Setter Property="FocusVisualStyle" Value="{x:Null}"/>
                    </Style>
                </DataGrid.CellStyle>
            </DataGrid>

			<Grid Grid.Column="0" Grid.ColumnSpan="2">
				<Grid.ColumnDefinitions>
					<ColumnDefinition Width="50*"/>
					<ColumnDefinition Width="900px"/>
					<ColumnDefinition Width="50*"/>
				</Grid.ColumnDefinitions>

				<TextBox x:Name="TXT_FilterClientName" Margin="10,53,0,0" Grid.Column="1" Style="{StaticResource TXT_StyleDisplay}" KeyUp="CheckEnterPressed"/>
				<TextBox x:Name="TXT_FilterContactFirstName" Grid.Column="1" Margin="235,53,0,0" Style="{StaticResource TXT_StyleDisplay}" KeyUp="CheckEnterPressed"/>
				<TextBox x:Name="TXT_FilterContactLastName" Grid.Column="1" Margin="465,53,0,0" Style="{StaticResource TXT_StyleDisplay}" KeyUp="CheckEnterPressed"/>
				<TextBox x:Name="TXT_FilterContactTel" Grid.Column="1" Margin="690,53,0,0" Style="{StaticResource TXT_StyleDisplay}" KeyUp="CheckEnterPressed"/>
				<Label x:Name="LBL_FilterClientName" Content="Entreprise" Grid.Column="1" Margin="10,23,0,0" Style="{StaticResource LBL_StyleDisplay}"/>
				<Label x:Name="LBL_FilterContactFirstName" Content="Nom contact" Grid.Column="1" Margin="235,23,0,0" Style="{StaticResource LBL_StyleDisplay}"/>
				<Label x:Name="LBL_FilterContactLastName" Content="Prenom contact" Grid.Column="1" Margin="465,23,0,0" Style="{StaticResource LBL_StyleDisplay}"/>
				<Label x:Name="LBL_FilterContactTel" Content="Téléphone contact" Grid.Column="1" Margin="690,23,0,0" Style="{StaticResource LBL_StyleDisplay}"/>
			
			</Grid>

            <Button x:Name="BTN_AddContact" Content="Ajouter" Grid.Column="1" Margin="10,-375,0,436" Grid.Row="1" Click="BTN_AddContact_Click" />
            <Button x:Name="BTN_ModifyContact" Content="Modifier" Grid.Column="1" Margin="10,-340,0,399" Grid.Row="1" Click="BTN_ModifyContact_Click" />
            <Button x:Name="BTN_DeleteContact" Content="Supprimer" Grid.Column="1" Margin="10,-305,0,362" Grid.Row="1" Click="BTN_DeleteContact_Click" />
			<Button  Grid.Column="1" Content="Par Défault" x:Name="BTN_ClearFilters" Click="BTN_ClearFilters_Click" Margin="10,18,0,41"/>
			<Button  Grid.Column="1" Content="Filtrer" x:Name="BTN_Research" Click="BTN_Research_Click" Margin="10,50,0,0"/>
		</Grid>
	</Grid>
</Page>
